<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SpecificAttributesEquipmentType extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $table = 'specific_attributes_equipament_types';
    
    public function equipmentType(){
        return $this->belongsTo(EquipmentType::class,'equipment_type_id', 'equipment_type_id');
    }

    public function equipment()
    {
        return $this->belongsTo(Equipment::class, 'equipment_id', 'equipment_id');
    }

    public function generalAttributesEquipment()
{
    return $this->belongsTo(GeneralAttributesEquipament::class, 'general_attributes_equipment_id', 'general_attributes_equipment_id');
}

    


   
}
